BlockPaddingSchemeDef Struct Reference

Padding schemes used for block ciphers. More...

Inheritance diagram for BlockPaddingSchemeDef:

## Public Types

enum | BlockPaddingScheme { NO_PADDING, ZEROS_PADDING, PKCS_PADDING, ONE_AND_ZEROS_PADDING, DEFAULT_PADDING }
| Padding schemes used for block ciphers. More...

## Detailed Description

Padding schemes used for block ciphers.

Definition at line 450 of file filters.h.

## Member Enumeration Documentation

## BlockPaddingScheme

enum BlockPaddingSchemeDef::BlockPaddingScheme

Padding schemes used for block ciphers.

DEFAULT_PADDING means PKCS_PADDING if `cipher.MandatoryBlockSize() > 1 && cipher.MinLastBlockSize() == 0`, which holds for ECB or CBC mode. Otherwise, NO_PADDING for modes like OFB, CFB, CTR, CBC-CTS.

See also
  Block Cipher Padding for additional details.

Enumerator
NO_PADDING | No padding added to a block.
ZEROS_PADDING | 0's padding added to a block
PKCS_PADDING | PKCS #5 padding added to a block.
ONE_AND_ZEROS_PADDING | 1 and 0's padding added to a block
DEFAULT_PADDING | Default padding scheme.

Definition at line 459 of file filters.h.

The documentation for this struct was generated from the following file:

- filters.h